      INTEGER   MAX
      PARAMETER (MAX = 18)
C
      INTEGER   NCRV, NVAR, LNTYPE(MAX), COLOR(MAX), SYMBL(MAX),
     $          WHICH(MAX), IOUT, FE, TICS(4)
      REAL      VARMIN(MAX), VARMAX(MAX),
     $          PLMN(4), PLMX(4)
C
      COMMON / DRWCVN / NCRV, NVAR, IOUT, FE,
     $                  LNTYPE, COLOR, SYMBL, WHICH,
     $                  VARMIN, VARMAX, PLMN, PLMX, TICS
C
      CHARACTER*20  LGNVAR(MAX), LGNCRV(MAX)
      CHARACTER*80  XLABB, YLABL, YLABR, YLABA
      CHARACTER*240 TITLE
C
      COMMON / DRWCVC / TITLE,  XLABB, YLABL, YLABR, YLABA,
     $                  LGNVAR, LGNCRV
C
C     + + + COMMON DEFINTIONS + + +
C     CVTYP  - type of curve
C              1 - uniform time step with lines, symbols, or patterns
C              6 - x-y plot
C     LINES  - line type
C              0 - none                3 - dot
C              1 - solid               4 - dot-dasy
C              2 - dash
C     SYMBL  - symbol type
C              0 - none                3 - * (star)
C              1 - . (dot)             4 - o (circle)
C              2 - + (plus)            5 - x (X)
C     COLOR  - line color (may vary for different gks implementations)
C              0 - background (none)   4 - blue
C              1 - black (white)       5 - cyan
C              2 - red                 6 - magenta
C              3 - green               7 - yellow
C     PATTRN - pattern for shading
C              0 - none                3 - horizontal lines
C              1 - hollow              4 - vertical lines
C              2 - solid               5 - diagonal lines
C     LGNCRV - legend for curve
C     PLMN   - minimum value for axes
C              (1) left y, (2) right y, (3) aux, (4) x
C     PLMX   - maximum value for axes
C              (1) left y, (2) right y, (3) aux, (4) x
C     TICS   - number of tics on axes
C     YLABL  - title for left y-axis
C     YLABR  - title for optional right y-axis
C     YLABA  - title for optional aux plot (time series only)
C     TITLE  - title for the plot

