C
C
C
      PROGRAM INTRP
C
C     + + + PURPOSE + + +
C     This program interpolates data to an even interval.
C     The last interpolated value of x must be smaller than the last
C     data value of x.
C     The input file is assumed to contain two lines of text at the top.
C
C     + + + LOCAL VARIABLES + + +
      INTEGER      I,IERR,IFOR,NP,LUIN,LUPC
      REAL         DX,X,XS,XL,Y,YS,YL
      CHARACTER*64 VERSN
      CHARACTER*80 BLK
C
C     + + + FORMATS + + +
 3500 FORMAT(A)
 3501 FORMAT(1X,A)
 3502 FORMAT(2G12.4)
 3503 FORMAT(2F7.2)
C
C     + + + END SPECIFICATIONS + + +
C
C     unix what information
      INCLUDE 'versn.inc'
      VERSN = '@(#)INTRP - last modified May  5, 1994, kmf'
      VERSN = '@(#)INTRP - last modified Feb  7, 1995, kmf'
      VERSN = '@(#)INTRP - last modified Sep 22, 1995, kmf'
      VERSN = '@(#)INTRP - last modified Apr 02, 1996, hej & kmf'
C     02/07/95 - add format I10 to read for error handling - hej
C
C     notice to user
      WRITE(*,*)' This program reads "in" and writes to "bc"' 
      WRITE(*,*)' Enter any letter to quit, 1 to continue '
      READ(*,'(I10)',ERR=900)IERR
C
C     set unit numbers and open required data files
      LUIN=35
      LUPC=36
      OPEN(LUIN,FILE='in')
      OPEN(LUPC,FILE='bc')
C
C     get descriptive info
      READ(LUIN,3500)BLK
      WRITE(LUPC,3500)BLK
      READ(LUIN,3500)BLK
      WRITE(LUPC,3500)BLK
C
      WRITE(*,*)' Enter starting value of x  '
      READ(*,*)X
      WRITE(*,*)' Enter value of DX  '
      READ(*,*)DX
      WRITE(*,*)' Enter number of points to be interpolated  '
      READ(*,*)NP
      WRITE(*,*)' Enter 0 for flow format, 1 for transport format' 
      READ(*,*)IFOR
      READ(LUIN,*,END=200)XS,YS
  110   READ(LUIN,*,END=200)XL,YL
          IF(X.LT.XL)GO TO 120
            XS=XL
            YS=YL
        GO TO 110
  120   CONTINUE
        Y=YS+(YL-YS)*(X-XS)/(XL-XS)
        IF(IFOR.EQ.0)WRITE(LUPC,3502)X,Y
        IF(IFOR.EQ.1)WRITE(LUPC,3503)X,Y
        NP=NP-1
        DO 150 I=1,NP
          X=X+DX
          IF(X.LT.XL)GO TO 140
  130       XS=XL
              YS=YL
              READ(LUIN,*,END=200)XL,YL
            IF(XL.LE.X)GO TO 130
  140     CONTINUE
          Y=YS+(YL-YS)*(X-XS)/(XL-XS)
          IF(IFOR.EQ.0)WRITE(LUPC,3502)X,Y
          IF(IFOR.EQ.1)WRITE(LUPC,3503)X,Y
  150   CONTINUE
C
  200 CONTINUE
C     close files
      CLOSE(LUIN)
      ENDFILE(LUPC)
      CLOSE(LUPC)
C
  900 CONTINUE
C
       STOP
      END
