C
C
C
      PROGRAM   MRG
C
C     + + + PURPOSE + + +
C     Build a table of data by adding or modifing a column based
C     on data in files "old.bc" and "in".  Write the file "bc".
C
C     + + + LOCAL VARIABLES + + +
      INTEGER      I,IC,IOUT,LUBC,LUIN,LUOLD,NEQ,II
      REAL         AA,T,X(20)
      CHARACTER*64 VERSN
      CHARACTER*80 BLK
C
C     + + + INPUT FORMATS + + +
 1000 FORMAT(A)
C
C     + + + INTPUT & OUTPUT FORMATS + + +
 1010 FORMAT(21G12.4)
C
C     + + + OUTPUT FORMATS + + +
 2000 FORMAT (1X,A)
 2010 FORMAT(21F7.2)
C
C     + + + END SPECIFICATIONS + + +
C
C     unix what information
      INCLUDE 'versn.inc'
      VERSN = '@(#)MRG   - last modified May  3, 1996, kmf'
C
C     notice to user
      WRITE(*,*) ' This program merges "in" with "old.bc"  and',
     #           ' writes to "bc"'
      WRITE(*,*) ' Enter any letter to quit, 1 to continue '
      READ (*,'(I9)',ERR=99) I
C       set unit numbers and open required data files
        LUOLD = 15
        LUBC  = 16
        LUIN  = 17
        OPEN (LUOLD, FILE='old.bc')
        OPEN (LUBC,  FILE='bc')
        OPEN (LUIN,  FILE='in')
        WRITE(*,*) ' Enter number of data columns in table'
        WRITE(*,*) ' Do not include the time column in the count '
        READ (*,*) NEQ
        WRITE(*,*) ' Enter column no. (excluding time) to be changed. '
        READ (*,*) IC
        IOUT = 7
        WRITE(*,*) ' Enter format type desired, default = F7.2. '
        WRITE(*,*) ' Enter 12 for format G12.4, 7 or a for F7.2 '
        READ (*,'(I9)',ERR=1) II
        IOUT = II
C
C       read files and rewrite them
    1   CONTINUE
          READ (LUOLD,1000) BLK
          WRITE(LUBC,2000)  BLK
          READ (LUOLD,1000) BLK
          WRITE(LUBC,2000)  BLK
          READ (LUIN,1000)  BLK
          READ (LUIN,1000)  BLK
C
C         read data
    2     CONTINUE
            IF (IOUT .EQ. 7) THEN
              READ (LUOLD,*,END=3) T,(X(I),I=1,NEQ)
                READ (LUIN,*) AA,X(IC)
                WRITE(LUBC,2010) T,(X(I),I=1,NEQ)
            ELSE
              READ (LUOLD,1010,END=3) T,(X(I),I=1,NEQ)
                READ (LUIN,*) AA,X(IC)
                WRITE(LUBC,1010) T,(X(I),I=1,NEQ)
            END IF
          GO TO 2
    3   CONTINUE
C
C       close the files
        CLOSE   ( LUOLD )
        CLOSE   ( LUIN )
        ENDFILE ( LUBC )
        CLOSE   ( LUBC )
C
   99 CONTINUE
C
      STOP
      END
