      INTEGER   NOBR, NOSC, NOSH, NOCO, NOPR, NOCP, NOTS, NOBC, NOBCO
C
      PARAMETER ( NOBR=20,  NOSC=25,   NOSH=300 )
      PARAMETER ( NOCO=10,  NOPR=150,  NOCP=4000, NOTS=500 )
      PARAMETER ( NOBC=20,  NOBCO=20 )
C
C     + + + PARAMETER DEFINITIONS + + +
C     NOBR   - Maximum number of branches allowed in model
C     NOSC   - Maximum number of cross sections (grids) allowed in branch
C     NOSH   - Maximum number of shocks allowed in branch
C              (NOSH should be at least 4 times NOSC)
C     NOCO   - Maximum number of constituents allowed
C     NOPR   - Maximum number of parcels allowed in branch
C              (NOPR should be at least 20 + 2 times NOSC)
C     NOCP   - Maximum number of computed or observed points
C     NOTS   - Maximum number of time steps
C     NOBC   - Maximum number of time series to be input from wdm
C     NOBCO  - Maximum number of time series to be output to wdm
